Get Webhook Event Logs
curl --request GET \
--url https://server.stage.overflow.co/api/v3/webhooks/{webhookId}/event-logs \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://server.stage.overflow.co/api/v3/webhooks/{webhookId}/event-logs"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-client-id': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://server.stage.overflow.co/api/v3/webhooks/{webhookId}/event-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "018f7349-6db2-7d07-9c15-cd7b9f671111",
"eventId": "018f7349-6db2-7d07-9c15-cd7b9f670000",
"webhookEventName": "contribution.approved",
"subscriptionId": "6817cec907243f2d3a1130df",
"status": "delivered",
"attemptNumber": 1,
"deliverySource": "automated",
"originatedAt": "2026-05-19T00:00:00.000Z",
"attemptedAt": "2026-05-19T00:00:01.000Z",
"request": {
"url": "https://example.org/webhooks/overflow",
"body": "{\"id\":\"evt_1\",\"type\":\"contribution.approved\"}"
},
"response": {
"code": 200,
"body": "ok",
"durationMs": 50,
"errorMessage": "connection timeout"
}
}
],
"pageInfo": {
"hasNextPage": true,
"nextCursor": "eyJwayI6Ik5PTlBST0ZJVCM2ODE3Y2VjOTA3MjQzZjJkM2ExMTMwZGYifQ=="
}
}Get Webhook Event Logs
Returns webhook delivery logs for a webhook subscription owned by the authenticated nonprofit. Results are cursor paginated.
GET
/
api
/
v3
/
webhooks
/
{webhookId}
/
event-logs
Get Webhook Event Logs
Authorizations
Client ID for API authentication
API Key for API authentication
Path Parameters
Query Parameters
The number of webhook event logs to return.
Required range:
1 <= x <= 50Cursor for loading the next page of webhook event logs.
Sort direction by webhook event log attempt order. Defaults to descending.
Available options:
ASC, DESC Example:
"DESC"
Filter by webhook delivery status.
Available options:
delivered, failed, pending Example:
"failed"
Filter by webhook event name.
Available options:
*, contribution.approved, contribution.declined, contribution.paid_out, contribution.processing, contribution.chargeback_lost, contribution.chargeback_pending, contribution.chargeback_won, contribution.refund_approved, contribution.refund_canceled, contribution.refund_failed, contribution.refund_requested, contribution.refund_requires_action, contribution.refunded, contribution.voided, donor.archived, donor.created, donor.merged, donor.updated, deposit.paid_out, recurring_gift.active, recurring_gift.cycle_failed, recurring_gift.failed, recurring_gift.inactive, recurring_gift.paused, recurring_gift.updated Example:
"contribution.approved"
Last modified on July 14, 2026
Was this page helpful?